; Bootloader
%include "boot.asm"


section KERNEL follows=BOOTSECTOR vstart=1000h

%macro mod 2
    push ax
    push cx
    
    mov cx, %2
    xor dx, dx
    mov ax, %1
    div cx

    pop cx
    pop ax
%endmacro

main:
    mov ax, 0x0013
    int 0x10

    mov cx, 50 ; x
    mov al, 50 ; y
    mov dx, 100 ; w
    mov bl, 100 ; h
    mov bh, 0x01 ; color = Dark blue

    call gfx_rect

jmp $ ; Halt
    
; Libs
%include "print_util.asm"
%include "time_util.asm"
%include "gfx_util.asm"
    
; Data
HELLO_WORLD:
    db 'Hello, world! :D', 0